Trader Asha:
... You have found five jade beads ...! Yes ... I believe I can assemble it ... As it is shown in this diagram ... That I am restoring such a precious relic with my own hands! I am so excited my hands are trembling ...
... Like this ... I line up the beads and connect them ... Ahh ...! It is done! See! It is the same as the picture, is it not? This jade necklace ... The explanation reads that it was an ornament worn on the necks of court magicians ... It is truly a precious relic ...!
Return